. Технические проблемы по установке оборудования под OC Linux - Форум
МБУ "Методический центр"             
Понедельник, 25.09.2017, 18:39
ГлавнаяРегистрацияВход Приветствую Вас Гость | RSS

[ Новые сообщения · Участники · Правила форума · Поиск · RSS ]
Страница 1 из 11
Модератор форума: Кошкина, Set 
Форум » Вопросы информатизации, ПСПО, технические вопросы » Проблемы перехода на СПО » Технические проблемы по установке оборудования под OC Linux
Технические проблемы по установке оборудования под OC Linux
КошкинаДата: Среда, 01.12.2010, 13:36 | Сообщение # 1
Сержант
Группа: Модераторы
Сообщений: 22
Репутация: 2
Статус: Offline
Добрый день, уважаемые коллеги.
Постараемся ответить на все вопросы, заданные в этом форуме.
 
maestroДата: Понедельник, 06.12.2010, 23:48 | Сообщение # 2
Рядовой
Группа: Пользователи
Сообщений: 8
Репутация: 2
Статус: Offline
Сколько ни искал, нет драйверов для МФУ Canon MF3228. В школе их 3 штуки. Несомненно, это затрудняет перехода на СПО.
Как быть?
 
splinterДата: Понедельник, 13.12.2010, 05:45 | Сообщение # 3
Рядовой
Группа: Пользователи
Сообщений: 1
Репутация: 1
Статус: Offline
можно посоветовать две статьи http://www.nixp.ru/articles/%D0%A0%D0%B5%D1%86%D0%B5%D0%BF%D1%82-%D0%BF%D1%80%D0%B8%D0%B3%D0%BE%D1%82%D0%BE%D0%B2%D0%BB%D0%B5%D0%BD%D0%B8%D1%8F-Win-%D0%BF%D1%80%D0%B8%D 0%BD%D1%82%D0%B5%D1%80%D0%B0-%D0%B4%D0%BB%D1%8F-%D0%BF%D0%B5%D1%87%D0%B0%D1%82%D0%B8-%D0%B8%D0%B7-Linux.htmll и http://justin.yackoski.name/winp/russian.html
 
КошкинаДата: Среда, 15.12.2010, 11:53 | Сообщение # 4
Сержант
Группа: Модераторы
Сообщений: 22
Репутация: 2
Статус: Offline
Инструкция по установке интерактивных досок под Linux размещена - http://norilskmc.ru/load....1-0-43.
 
SetДата: Среда, 23.03.2011, 11:19 | Сообщение # 5
Рядовой
Группа: Администраторы
Сообщений: 11
Репутация: 1
Статус: Offline
http://itshaman.ru
Установка сканера в Linux на примере установки Mustek 2448TA Plus в ОС Ubuntu
В статье описан метод установки драйвера на сканер Mustek 2448TA Plus в ОС Ubuntu. По этому небольшому руководству можно установить любую модель сканера в ОС Linux.
Установка сканера Mustek в Linux (Ubuntu):
1. Загружаем дополнительный файл драйвера (так называемый backend-файл) для Вашей модели сканера:
o для модели Mustek 2448TA Plus можно скачать его здесь вручную http://itshaman.ru/files/A2NFw.zip [8Kb] или командой:
# wget http://itshaman.ru/files/A2NFw.usb
o для любой другой модели качаем дополнительный файл драйвера с официального сайта проекта Sane http://www.meier-geinitz.de/sane/gt68xx-backend/.
На этой странице находится большое количество таких файлов от различных моделей сканеров. Выбираем и загружаем нужный backend-файл.
2. Устанавливаем ПО для сканирования:
# sudo apt-get install sane sane-utils xsane quiteinsane
# устанавливаем пакет ПО для сканирования xSane
3. Копируем загруженный backend-файл, в нашем случае это A2NFw.usb, в директорию /usr/share/sane/gt68xx/.
Для Mustek 2448TA Plus:
# sudo cp ~/A2NFw.usb /usr/share/sane/gt68xx/
# поместим содержимое в указанную директорию
4. Выставляем права доступа на директорию /usr/share/sane/gt68xx/ на чтение для всех
# sudo chmod -R 0604 /usr/share/sane/gt68xx/
5. Запускаем xsane и сканируем.
 
TeNshi69Дата: Пятница, 09.12.2011, 15:04 | Сообщение # 6
Рядовой
Группа: Пользователи
Сообщений: 3
Репутация: 0
Статус: Offline
ALTLinux 5.0.2. со смесью GNOME/LXDE, при подключении принтера Canon LBP-810 по каналу USB и настройке его в CUPS выяснилось, что драйвера для принтера в базовой поставке нет. Дальше я сделал следующее: зашёл в Synaptic и установил пакеты

libXp (1.0.0-alt4)
lsb (4.0-alt3.M50P.1)
lsb-core (4.0-alt3.M50P.1)
lsb-cxx (4.0-alt3.M50P.1)
lsb-desktop (4.0-alt3.M50P.1)
lsb-init (4.0-alt2.M50P.1)
lsb-languages (4.0-alt3.M50P.1)
lsb-printing (4.0-alt3.M50P.1)
lsb-release (2.0-alt2.M50P.1)
pax (3.4-alt2)
perl-Attribute-Handlers (0.87-alt1)
perl-CGI (3.44-alt1)
perl-CPAN (1.93.01-alt1)
perl-Filter (1.36-alt1)
perl-Filter-Simple (0.84-alt1)
perl-I18N-LangTags (0.35-alt2)
perl-Locale-Codes (2.07-alt2)
perl-Locale-Maketext (1.13-alt1)
perl-Math-BigInt (1.89-alt1)
perl-Math-BigInt-FastCalc (0.19-alt1)
perl-Math-BigRat (0.24-alt1)
perl-Memoize (1.01-alt2.1)
perl-NEXT (0.64-alt1)
perl-Switch (2.14-alt1)
perl-Term-ReadLine-Gnu (1.19-alt1)
perl-Text-Balanced (2.01-alt1)
perl-Text-Soundex (3.03-alt1)
perl-Text-Unidecode (0.04-alt1)
perl-Unicode-Collate (0.52-alt1)
perl-Unicode-Normalize (1.02-alt1)
perl-bignum (0.23-alt1)
perl-pod (1:5.8.9-alt3)
perl-unicore (1:5.8.9-alt3)
perl4-compat (1:5.8.9-alt3)
perldoc (3.14-alt2)

После чего руководствуясь http://www.linuxformat.ru/download/LXF141.school.pdf через OpenPrinter нашёл CAPT pdd драйвер и через CUPS использовать при установке принтера. Эффекта от этого не последовало, так как если я отправлял документ на печать то вылезал system-config-printer показывал задачу, а потом ошибку этой задачи. Из данного файла http://www.boichat.ch/nicolas/capt/capt-0.1.tar.gz с помощью команды
Консоль:
make install
установил CAPT драйвер в систему и снова добавил принтер. В результате принтер всё равно не подцепился, а утилита system-config-printer совсем перестала появляться при создании задачи на печать. Как запустить принтер?
Desktop (new): Intel Core2Duo E8400, RAM 2 GB, nVidia 9600 GT , HDD 320 GB. System: OpenSUSE 11.4 (KDE 4.7.3).
Desktop (old): Intel P IV (1.6), RAM 768 MB, nVidia 2 MX 440 (64 MB), HDD 320 GB. System: Simply Linux 5.0.

Добавлено (09.12.2011, 10:41)
---------------------------------------------
Руководство по установке принтера Canon LBP в Ubuntu

Распространенная проблема при работе с Ubuntu это отсутствие или недоработанность драйверов для периферийных устройств таких как веб-камеры, сканеры, принтеры. Одним из часто задаваемых вопросах на форумах уже довольно продолжительное время, является вопрос о подключении принтеров фирмы Canon серии LBP. Достаточно долгое время в сети не было приемлемого решения этой проблемы.
Я создал два *. deb файла, необходимые для работы, я сделал скрипт для установки правильных драйверов, как для 32-битной так и для 64-битной систем (это автоматически определяет скрипт).
Подерживаемые модели принтеров(PRINTER_MODEL) для текущей версии скрипта 1.90:
LBP-1120, LBP-1210, LBP2900, LBP3000, LBP3010, LBP3018, LBP3050, LBP3100, LBP3108, LBP3150, LBP3200, LBP3210, LBP3250, LBP3300, LBP3310, LBP3500, LBP5000, LBP5050, LBP5100, LBP5300, LBP7200C.
Вы можете скачать скрипт http://codebin.cotescu.com/canon/lbp_driver/CanonCAPTdriver.tar.gz (правой кнопкой мыши, сохранить как, извлечь архив). Работать с сценарием довольно просто, перейдите в разархивированный каталог запустите терминал и введите:
sudo ./canonLBP_install.sh PRINTER_MODEL
Где PRINTER_MODEL модель принтера из списка поддерживаемых принтеров(смотреть выше).
Обновление 4:
В версии 2.4 добавлена поддержка для моделей принтеров LBP6000 и LBP6018 и обеспечивает лучшую обработку зависимостей. Пожалуйста, проверьте его на более старых версиях Ubuntu, как она прекрасно работает на Ubuntu 11,04.
Обновление 3:
Версия 2.3 добавлена поддержка Ubuntu 11,04.
Обновление 2:
В связи с популярной версии 2.2 теперь поддерживается Ubuntu 10.10. Используйте те же инструкции по установке и, пожалуйста, оставьте комментарий, если ничего не работает.
Обновление 1:
в настоящее время используется CAPT драйвер, начиная с версии 2.0, 2,00, который добавляет поддержку для Canon LBP6300dn и Canon LBP9100Cdn. Также в новый скрипт был добавлен в архив для обработки драйверов в процессе удаления.

Добавлено (09.12.2011, 10:47)
---------------------------------------------

Установка драйвера принтера HP LaserJet в Ubuntu Linux.

июля 16, 2011
Установка драйвера принтера HP LaserJet в Ubuntu Linux
Если в операционной системе Windows пользователь ищет драйвера под установленное в компьютере «железо», то в Linux, нередко, обстоит все с точностью до наоборот. Покупая принтер, сканер, тв тюнер и другое оборудование, поклонник линукс систем производит мониторинг существующих драйверов под желаемое оборудование и совершает покупку, исходя из произведенного исследования. Если устройство уже приобретено а драйвер по умолчанию в системе не установлен , начинаются «танцы с бубном». Сегодня мы разберем вопрос с установкой драйвера для принтеров HP LaserJet P1005, P1006, P1007, P1008, P1505, P1505n, P2014, P2014n, M1005 MFP, M1120 MFP под операционную систему Ubuntu Linux
Сайт разработчика драйвера под Ubuntu Linux находится по адресу: http://foo2xqx.rkkda.com/ Если вы свободно владеете английским, то вполне вероятно вам помогут решить вопрос с установкой драйвера для принтеров HP LaserJet P1005, P1006, P1007, P1008, P1505, P1505n, P2014, P2014n, M1005 MFP, M1120 MFP на данном сайте
Для всех остальных предлагаю краткую инструкцию, которая поможет решить вопрос с инсталяцией драйвера.
Ниже идут команды, которые необходимо вводить в Терминале, чтобы установить этот самый драйвер. Чтобы его открыть, заходим в верхнее меню, далее: Приложения-Стандартные-Терминал, собственно.
$ wget -O foo2zjs.tar.gz http://foo2zjs.rkkda.com/foo2zjs.tar.gz
Копируем строчку, только без доллара, потому что там он уже есть и вставляем в терминал. Нажимаем клавишу «Enter» на клавиатуре. Придется немного подождать, когда программа скачает сам файл архива и предложит ввести новую команду. Дальше распаковка:
$ tar zxf foo2zjs.tar.gz
$ cd foo2zjs
Следующий этап сборка скаченных пакетов:
$ make
Далее необходимо получить дополнительные файлы из сети, такие как профили .ICM для коррекции цвета, и микропрограммное обеспечение. Выберите модель своего принтера своего принтера (могу сразу сказать — я пробовал выбрать модель своего принтера, который указан на сайте под своим номером, но у меня ничего не получалось. Получилось довести операцию до конца, когда я вводил все коды, а не выборочно):
$ ./getweb P1005 # Get HP LaserJet P1005 firmware file
$ ./getweb P1006 # Get HP LaserJet P1006 firmware file
$ ./getweb P1007 # Get HP LaserJet P1007 firmware file
$ ./getweb P1008 # Get HP LaserJet P1008 firmware file
$ ./getweb P1505 # Get HP LaserJet P1505 firmware file
Инсталлировать драйвер:
$ sudo make install
Далее вводим следующие команды:
$ sudo make install-hotplug
$ sudo make cups
$ sudo make cups # IMPORTANT: gnome-cups-manager has a BUG in it
В общем-то все. Так у меня получилось довести дело до ума
Желаю и вам удачи
Да, когда будете все производить, то удалите на всякий случай свой принтер. А потом установите заново.

Добавлено (09.12.2011, 10:50)
---------------------------------------------

Установка драйвера Nvidia GeForce 8500GT.

В статье ниже я уже писал что у меня случилось, и поэтому мне пришлось установить драйверы заново, а у меня именно вот такая видеокарта. Данная инструкция подходит не только для GeForce 8500GT, но и для практически всех сравнительно новых видеокарт nVidia.
Для установки драйвера нам нужно сначало добавить репозиторий.
Выполните в терминале:
sudo add-apt-repository ppa:ubuntu-x-swat/x-updates
После этого обновите список репозиториев:
sudo apt-get update
Далее установите все обновления:
sudo apt-get upgrade
Ну и собственно сама установка драйвера:
sudo apt-get install libvdpau1 nvidia-common nvidia-current-modaliases nvidia-settings nvidia-current
После этого перезагрузите систему, и если драйвер на активировался автоматически, то зайдите в «Система/Администрирование/Дополнительные драйвера» и активируйте драйвер. На этом установка драйвера закончена:-)

Добавлено (09.12.2011, 10:56)
---------------------------------------------

Установка драйвера принтера Сanon MF4018.

Всем привет, сегодня я расскажу вам. как установить драйверы принтера семейства Canon i-sensys. Но инструкция подойдет, не только для этих принтеров, но и для огромного списка других моделей Canon.
Скачиваем пакет gs-esp
wget http://launchpadlibrarian.net/56217598/gs-esp_8.71.dfsg.2-0ubuntu7_all.deb
Установим его
sudo dpkg -i gs-esp_8.71.dfsg.2-0ubuntu7_all.deb
Скачиваем архив с драйверами под Linux, на сайте software.canon-europe.com
Распакуйте нужные deb-пакеты в корень домашней директории
Установите их:
sudo dpkg -i cndrvcups-common_2.20-1_i386.deb
sudo dpkg -i cndrvcups-common_2.20-1_i386.deb
Далее можете смело добавлять принтер, через меню «Печать«, там же и выбирайте, уже установлен нами драйвер.

Добавлено (09.12.2011, 11:02)
---------------------------------------------
Установка драйвера на принтер Canon LBP-2900 в Ubuntu:
1. Загружаем драйвера с официального сайта Canon. На приведенной странице следует выбрать ОС и язык, после чего загрузить драйвер самой последней версии.
2. Чтобы корректно установить драйвера нам потребуются также два пакета: libcupsys и libstdc, которых нет в репозиториях Ubuntu.
# wget http://security.ubuntu.com/ubuntu/pool/universe/c/cups/libcupsys2_1.3.9-17ubuntu3.4_all.deb
# Загружаем пакет libcupsys
# wget http://mirrors.kernel.org/ubuntu/pool/universe/g/gcc-3.3/libstdc++5_3.3.6-17ubuntu1_i386.deb
# Загружаем пакет libstdc
3. Устанавливаем загруженные дополнительные пакеты поочередно:
# sudo dpkg -i libcupsys2_1.3.9-17ubuntu3.4_all.deb
# Устанавливаем пакет libcupsys
# sudo dpkg -i libstdc++5_3.3.6-17ubuntu1_i386.deb
# Устанавливаем пакет libstdc
4. Устанавливаем драйвера, которые состоят из 2 пакетов: cndrvcups-common и cndrvcups-capt (устанавливаем именно в такой последовательности).
5. Перегружаем демон CUPS:
# sudo /etc/init.d/cups restart
6. Регистрируем принтер Canon LBP 2900 в ОС:
# sudo /usr/sbin/lpadmin -p lbp2900 -m CNCUPSLBP2900CAPTK.ppd -v ccp:/var/ccpd/fifo0 -E
где CNCUPSLBP2900CAPTK.ppd - PPD-файл принтера Canon LBP 2900.
(Спойлер) Уточнить название PPD-файла принтера можно так.

7. Добавляем принтер в ОС:
# sudo /usr/sbin/ccpdadmin -p lbp2900 -o /dev/usb/lp0
Пример вывода данной команды:
CUPS_ConfigPath = /etc/cups/
LOG Path = None
UI Port = 59787 —————————————————————————-
Entry Num:[0] Spooler:lbp2900 Backend:ccp FIFO path:/var/ccpd/fifo0 Device Path:/dev/usb/lp0 Status:New!!
New!! говорит о том, что принтер успешно добавлен.
8. Редактируем скрипт запуска демона ccpd:
# sudo cp /etc/init.d/ccpd /etc/init.d/ccpd.orig
# Создаем резервную копию, размещенную в /etc/init.d/ccpd.orig
# sudo gedit /etc/init.d/ccpd
# Открываем скрипт запуска демона ccpd в текстовом редакторе
Заменяем все содержимое этого файла на текст приведенный ниже.
(Спойлер) Текст нового скрипта запуска демона ccpd.

9. Перезапускаем демон ccpd:
# sudo /etc/init.d/ccpd restart
10. Добавляем скрипт запуска в автозагрузку:
# sudo update-rc.d ccpd defaults 50
11. Чтобы проверить работоспособность подключенного принтера, набираем в консоли:
# captstatusui -P lbp2900
При правильной установке драйвера принтера Canon LBP 2900 в ОС Ubuntu на экране должно появиться графическое окно с фразой: ready to print.
12. Перезагружаем компьютер.

http://itshaman.ru/articles/98/kak-ustanovit-printer-canon-lbp-2900-v-linux-ubuntu

Добавлено (09.12.2011, 11:04)
---------------------------------------------

Установка принтера HP Laser Jet P1005 на ос Alt Linux 5.0.2 master

Консоль:
apt-get install hplip
В противном случае попробуйте брать пакеты для Mandriva(у них общие корни) или RHEL/CentOS. Есть большая вероятность, что подойдет. Но это только в крайнем случае.
Аналогичная ситуация с принтером HP Laserjet 1000
1. обновить систему (обновление порядка 700 мб)
2. установить пакет foo2zjs-fwdownloader (там скрипт который скачает прошивку к данному принтеру - в автоматическом режиме)
3. установить принтер через cups
у меня принтер заработал. Может это и вам поможет
Вариант 2
обновите систему
установите пакет hplip-gui
далее в терминале из под root
# hp-setup
(программа тоже скачает прошивку и установит принтер).
Вариант 2
обновите систему
установите пакет hplip-gui
далее в терминале из под root
# hp-setup
(программа тоже скачает прошивку и установит принтер).
 
maestroДата: Понедельник, 16.01.2012, 23:36 | Сообщение # 7
Рядовой
Группа: Пользователи
Сообщений: 8
Репутация: 2
Статус: Offline
TeNshi69, не пугайте людей такими обширными мануалами. По собственному опыту, скажу, что больштнство принтеров свободно ставится через CUPS. Опробовал около 15 штук. У меня статистика следующая: HP все заработали, Canon - 1 из 3, примерно. 1 Samsung заработал. Xerox - 1 из 2-х.

А о каком "ALTLinux 5.0.2. со смесью GNOME/LXDE" вы говорите? В школьном дистрибутиве среда KDE. Или вы говорите о "Ковчеге"?
 
TeNshi69Дата: Пятница, 20.01.2012, 16:33 | Сообщение # 8
Рядовой
Группа: Пользователи
Сообщений: 3
Репутация: 0
Статус: Offline
Да это о ковчеге, подробное обсуждение велось здесь http://linuxforum.ru/viewtopic.php?id=12699
 
Форум » Вопросы информатизации, ПСПО, технические вопросы » Проблемы перехода на СПО » Технические проблемы по установке оборудования под OC Linux
Страница 1 из 11
Поиск:

mr.amb@bk.ru © 2017 Конструктор сайтов - uCoz